Can Warn Staff

xF2 Add-on Can Warn Staff 2.3.1

No permission to download
Compatible XF Versions
2.0, 2.1, 2.2
Visible Branding
No
Additional Requirements
php 7.0+
Standard Library by Xon
Allow moderators and administrators to be warned.

AdminCP access can obviously bypass any warning issued, and warnings themselves can be edited or deleted depending on permissions for the user.

Introduces 7 new permissions:
  • Give moderators warnings directly.
  • Give administrators warnings directly.
  • Delete all warnings for Moderators.
  • Delete all warnings for Administrators.
  • Prevent posts being warned.
  • Prevent being directly warned.
  • Prevent profile posts being warned.
Performance

Requires between 0 or 1 extra queries depending on if the active members on the content to-be-warned share a permission combination group with the visitor.
Author
ENXF NET
Downloads
72
Views
1,772
Last update
Rating
0.00 star(s) 0 ratings

More resources from ENXF NET

Latest updates

  1. 2.3.1 - Bugfix update

    Fix Forum reply-ban support
  2. 2.3.0 - Feature update

    This add-on is now available on atelieraphelion.com Require php 7.2+ Require XenForo 2.2+...
  3. 2.2.1 - Maintenance update

    Require Standard Library by Xon v1.16.0+ Move some permission handling code into StandardLib so...
Top